Subject: bug#56388: Overline equivalent of x-underline-at-descent-line

From: Po Lu <[email-masked]>
Date: Tue, 05 Jul 2022 09:51:52 +0800

Hendrik Rommeswinkel <[email-masked]> writes:

> I noticed that overline text is not as configurable as underline
> text. Using x-underline-at-descent-line, it is possible to choose
> between placing the underline at the baseline or the bottom line (I
> think the naming of this option is not quite right.). However, it is
> not possible to choose between placing the overline at the ascent line
> or the top line. Instead it is always at the top line. This makes
> overline very ugly when the height of faces differs on a line because
> the overline will appear at the very top of the line instead of on top
> of the font.
>
> It would be nice if there would be an option x-overline-at-ascent-line
> which places the overline at the ascent line (instead of the top
> line).

Instead of making it a user option, how about making it an attribute for
the `:overline' face property?